Skip to content
qibdo qibdo
v1
API version
  • v1
Theme
Book a demo

List Audit Entries

GET
/registry/v1/audit-entries
curl --request GET \
--url https://example.com/registry/v1/audit-entries

Returns a page of audit entries filtered by AIP-160 expression (e.g. actor, target, action, time range) and ordered per AIP-132.

page_size
integer format: int32

The maximum number of audit entries to return. The service may return fewer than this value. If unspecified, at most 20 audit entries will be returned. The maximum value is 100; values above 100 will be coerced to 100.

page_token
string

A page token, received from a previous ListAuditEntries call.

filter
string

AIP-160 filter expression

order_by
string

AIP-132 order_by expression

OK

Media type application/json

ListAuditEntriesResponse

Response message for ListAuditEntries. Note: This API intentionally omits total_size from list responses. Keyset pagination does not support efficient total count computation (COUNT(*) requires a full table scan). Per AIP-158, total_size is optional.

object
audit_entries

The list of audit entries.

Array<object>
object
id
stringOutput only
actor_id
stringOutput only
actor_type
stringOutput only
action
stringOutput only
resource_type
stringOutput only
resource_id
stringOutput only
resource_name
stringOutput only
workspace_id
stringOutput only
timestamp
string format: date-time Output only
outcome
stringOutput only
metadata
object
key
additional properties
string
next_page_token

A token, which can be sent as page_token to retrieve the next page. If this field is empty, there are no subsequent pages.

string
Example generated
{
"audit_entries": [
{}
],
"next_page_token": "example"
}

Default error response

Media type application/json

The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.

object
code

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

integer format: int32
message

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

string
details

A list of messages that carry the error details. There is a common set of message types for APIs to use.

Array<object>

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

object
@type

The type of the serialized message.

string
key
additional properties
any
Example generated
{
"code": 1,
"message": "example",
"details": [
{
"@type": "example"
}
]
}